org.apache.ignite.internal.cluster

## Interface IgniteClusterEx

All Superinterfaces:
  ClusterGroup, ClusterGroupEx, IgniteAsyncSupport, IgniteCluster

All Known Implementing Classes:
  IgniteClusterImpl

    public interface IgniteClusterEx
    extends IgniteCluster, ClusterGroupEx

### Field Summary

### Fields inherited from interface org.apache.ignite.IgniteCluster

`MAX_TAG_LENGTH`

### Method Summary

### Methods inherited from interface org.apache.ignite.IgniteCluster

`active, active, baselineAutoAdjustEnabled, baselineAutoAdjustStatus, baselineAutoAdjustTimeout, baselineAutoAdjustTimeout, clearStatistics, clientReconnectFuture, currentBaselineTopology, disableWal, enableStatistics, enableWal, forLocal, id, isBaselineAutoAdjustEnabled, isWalEnabled, localNode, nodeLocalMap, pingNode, resetMetrics, restartNodes, restartNodes, setBaselineTopology, setBaselineTopology, setTxTimeoutOnPartitionMapExchange, startNodes, startNodes, startNodesAsync, startNodesAsync, state, state, stopNodes, stopNodes, tag, tag, topology, topologyVersion, withAsync`

### Methods inherited from interface org.apache.ignite.lang.IgniteAsyncSupport

`future, isAsync`

### Methods inherited from interface org.apache.ignite.internal.cluster.ClusterGroupEx

`forCacheNodes, forSubjectId`

### Methods inherited from interface org.apache.ignite.cluster.ClusterGroup

`forAttribute, forCacheNodes, forClientNodes, forClients, forDaemons, forDataNodes, forHost, forHost, forNode, forNodeId, forNodeIds, forNodes, forOldest, forOthers, forOthers, forPredicate, forRandom, forRemotes, forServers, forYoungest, hostNames, ignite, metrics, node, node, nodes, predicate`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020